library facebapi;
import 'dart:convert';
import 'package:http/http.dart' as http;

//config
final fbBaseUri = "https://graph.facebook.com/v2.1";
final fbAppID = "";
final fbAppSecret = "";

class fbuser {
  int fbid;
  String accessToken;
  var expirationDate;
  
  fbuser(this.fbid, this.accessToken);
  
generic(String endpoint) { //get any API endpoint
    String url;
    if (endpoint.contains('?')){
      url = "$fbBaseUri/$endpoint&access_token=$accessToken";
    }
    else {
      url = "$fbBaseUri/$endpoint?access_token=$accessToken";
    }
    print (url);
    return http.get(url).then((response) {
       if (response.statusCode == 200) {
         var result = JSON.decode(response.body);
         return result;
       } else { print("Response status: ${response.statusCode}");
           return (['error']);
         }
       });  
  }
    
  groupIds(){ //returns a List containing IDs of all groups the user is a member of
    var url = "$fbBaseUri/me/groups?access_token=$accessToken";
    return http.get(url).then((response) {
      if (response.statusCode == 200) {
        var json = JSON.decode(response.body);
        List groups=[];
        for (int i = 0; i<json['data'].length; i++) {
            groups.add(json['data'][i]['id']);
          }
        return groups;
      } else { print("Response status: ${response.statusCode}");
        return (['error']);
      }
    });
  }
}